// winefisconDlg.h : header file
//

#if !defined(AFX_WINEFISCONDLG_H__10D2E7E3_0AA8_4012_B2F2_A1132F025C76__INCLUDED_)
#define AFX_WINEFISCONDLG_H__10D2E7E3_0AA8_4012_B2F2_A1132F025C76__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000



typedef struct {
	unsigned char type;	      //
	unsigned char relay;	    //
	
	unsigned char hour_on;	  //
	unsigned char min_on;	    //
	unsigned char sec_on;	    //

	unsigned char hour_off;	  //
	unsigned char min_off;	  //
	unsigned char sec_off;	  //
	
	unsigned char day_on;     //
	unsigned char mon_on;     //
	unsigned char year_on;   //

	unsigned char day_off;    //
	unsigned char mon_off;    //
	unsigned char year_off;  //
} Calendar;


typedef struct {
	unsigned char	network_config;	// 
	
	unsigned char	hard_addr[6];	//  MAC
	
	unsigned char	prot_addr[4];	//	
	unsigned char	netw_mask[4];	//
	unsigned char	dfgw_addr[4];	//
	unsigned char	brcs_addr[4];	//
	unsigned short	lport;			//
    
	unsigned char	serv_addr[4];  
	unsigned short	sport;
  
	unsigned char	dhcp;  
	unsigned char	type;  
	unsigned short	deviceID;

	unsigned char	access_to_server;  
	unsigned char	access_to_calendar;    
  
	Calendar  cl[10]; 

	unsigned char	access_to_toggle;    
	unsigned char	inputs_to_toggle;    

	unsigned char	setup_relay1;    
	unsigned char	setup_relay2;    
	unsigned char	setup_relay3;    
    unsigned char	setup_relay4;    

	unsigned char	mode_relay1;    
	unsigned char	mode_relay2;    
	unsigned char	mode_relay3;    
    unsigned char	mode_relay4;    

	unsigned char	delay_relay1;    
	unsigned char	delay_relay2;    
	unsigned char	delay_relay3;    
    unsigned char	delay_relay4;    

}	Machine;


/////////////////////////////////////////////////////////////////////////////
// CWinefisconDlg dialog

class CWinefisconDlg : public CDialog
{
// Construction
	char	ipaddress[36];
	char	ipport[10];

	int		device_mode;

	Calendar cl;

	//	list of calendar
	int	current_row;
	int	status_click;

	int	handle;
public:
	CWinefisconDlg(CWnd* pParent = NULL);	// standard constructor

	void	EnableToggle(void);
	void	DisableToggle(void);

// Dialog Data
	//{{AFX_DATA(CWinefisconDlg)
	enum { IDD = IDD_WINEFISCON_DIALOG };
	CListCtrl	m_listcal;
	int		m_access_dhcp;
	int		m_access_serv;
	int		m_access_cal;
	int		m_access_toggle;
	int		m_inputs_as_toggle;
	int		mode_relay1;
	int		mode_relay2;
	int		mode_relay3;
	int		mode_relay4;
	int		m_setup_relay1;
	int		m_setup_relay2;
	int		m_setup_relay3;
	int		m_setup_relay4;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWinefisconDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CWinefisconDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnConnect();
	afx_msg void OnDisconnect();
	afx_msg void OnRead();
	afx_msg void OnWrite();
	afx_msg void OnDhcpYes();
	afx_msg void OnDchpNo();
	afx_msg void OnReboot();
	afx_msg void OnEventYes();
	afx_msg void OnEventNo();
	afx_msg void OnCal1();
	afx_msg void OnCal2();
	afx_msg void OnCalendar();
	afx_msg void OnToggles();
	afx_msg void OnEventToServer();
	afx_msg void OnR1Mod1();
	afx_msg void OnR1Mod2();
	afx_msg void OnR1Mod3();
	afx_msg void OnR1Mod4();
	afx_msg void OnR1Mod5();
	afx_msg void OnR2Mod1();
	afx_msg void OnR2Mod2();
	afx_msg void OnR2Mod3();
	afx_msg void OnR2Mod4();
	afx_msg void OnR2Mod5();
	afx_msg void OnR3Mod1();
	afx_msg void OnR3Mod2();
	afx_msg void OnR3Mod3();
	afx_msg void OnR3Mod4();
	afx_msg void OnR3Mod5();
	afx_msg void OnR4Mod1();
	afx_msg void OnR4Mod2();
	afx_msg void OnR4Mod3();
	afx_msg void OnR4Mod4();
	afx_msg void OnR4Mod5();
	afx_msg void OnInptog();
	afx_msg void OnSetrel1();
	afx_msg void OnSetrel2();
	afx_msg void OnSetrel3();
	afx_msg void OnSetrel4();
	afx_msg void OnCaladd();
	afx_msg void OnCaldel();
	afx_msg void OnCaledt();
	afx_msg void OnCalnupd();
	afx_msg void OnCalnclr();
	afx_msg void OnClickListcal(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WINEFISCONDLG_H__10D2E7E3_0AA8_4012_B2F2_A1132F025C76__INCLUDED_)
